Media

Complete a media upload

Verifies the uploaded object exists in storage, marks the media object ready, and returns it with a download URL.

POST
/v1/media/{id}/complete

Verifies the uploaded object exists in storage, marks the media object ready, and returns it with a download URL. Requires the permission that creating the media object did.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^media_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

CompletedMedia

application/json
  1. response
media*
downloadUrl*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.media.complete({  "id": "example"});
Example Response
{  "media": {    "id": "string",    "organizationId": "string",    "status": "pending",    "filename": "string",    "contentType": "string",    "sizeBytes": 0,    "width": 1,    "height": 1,    "durationMs": 0,    "purpose": "attachment",    "checksumSha256": "string",    "expiresAt": "string",    "createdAt": "string",    "confirmedAt": "string"  },  "downloadUrl": "string"}

Related documentation